Subject: Re: bug#36455: Question on reading from socket(pair) instead from pipe

From: "Dr. Werner Fink" <[email-masked]>
Date: Mon, 1 Jul 2019 10:48:42 +0200

On 2019/07/01 01:17:41 -0700, Paul Eggert wrote:
> Dr. Werner Fink wrote:
> > IMHO reading data from a FIFO/pipe or from a FSOCK/socket(pair) should result
> > in the same result.
> 
> Yes it should, but only if you invoke 'grep' with the same arguments both
> times, which I expect you didn't. Look at the two execve lines in the strace
> output.

Ah ... I see, indeed ... mea culpa
Looks like pipecmd_argf() does not work the way I expected, whereas adding
    pipecmd_arg(grep, "-e");
    pipecmd_arg(grep, "XXX");
does the job.

-- 
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr